Update status | Parallel Developer Documentation
This is documentation for Parallel Developer Documentation Legacy – v1.x, which is no longer actively maintained.
For up-to-date documentation, see the latest version (Current – v2.x).
Version: Legacy – v1.x
On this page
This endpoint creates a new status entry for a given record. The newly created status entry becomes the record's current status entry.
HTTP Request
POST https://api.parallelmarkets.com/v1/partner-records/{id}/statuses
{id}- the individual or business ID in your case management account.
Request Parameters
| Parameter | Description |
|---|---|
status (string) |
Required The status to set for the record. Can be one of: - open- pending- approved- declined |
notes (string) |
Optional. Notes to attach to the new status. |
Sample payload
{
"status": "approved",
"notes": "This is a test note."
}
Response Parameters
Returns a Record Status after successful status creation.
Example Response
{
"notes": "This is a test note.",
"set_at": "2023-04-20T18:40:00Z",
"set_by": {
"email": "joe@acme.com",
"first_name": "Joe",
"last_name": "Bloggs"
},
"status": "approved"
}